### Method

# Gdk Clipboard read_async

#### Declaration [src]

    void
    gdk_clipboard_read_async (
      GdkClipboard* clipboard,
      const char** mime_types,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously requests an input stream to read the `clipboard`‘s contents from.

When the operation is finished `callback` will be called. You must then call `gdk_clipboard_read_finish()` to get the result of the operation.

The clipboard will choose the most suitable mime type from the given list to fulfill the request, preferring the ones listed first.

This method completes asynchronously. Use `gdk_clipboard_read_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`mime_types`

  Type: An array of `char*`

  A `NULL`-terminated array of mime types to choose from.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`io_priority`

  Type: `int`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.